osgAnimation::ActionVisitor Class Reference

`#include <ActionVisitor>`

Inheritance diagram for osgAnimation::ActionVisitor:

## Public Member Functions

| META_ActionVisitor (osgAnimation, ActionVisitor)
| ActionVisitor ()
void | traverse (Action &visitor)
void | pushFrameActionOnStack (const FrameAction &fa)
void | popFrameAction ()
void | pushTimelineOnStack (Timeline *tm)
void | popTimeline ()
Timeline * | getCurrentTimeline ()
void | setCurrentLayer (int layer)
int | getCurrentLayer () const
const std::vector< FrameAction > & | getStackedFrameAction () const
virtual void | apply (Action &action)
virtual void | apply (Timeline &tm)
virtual void | apply (ActionBlendIn &action)
virtual void | apply (ActionBlendOut &action)
virtual void | apply (ActionAnimation &action)
virtual void | apply (ActionStripAnimation &action)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

std::vector< FrameAction > | _stackFrameAction
std::vector< Timeline * > | _stackTimeline
int | _currentLayer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## ActionVisitor()

osgAnimation::ActionVisitor::ActionVisitor | ( |  | ) |

Referenced by META_ActionVisitor().

## Member Function Documentation

## apply() [1/6]

virtual void osgAnimation::ActionVisitor::apply | ( | Action & | action | ) |

virtual

Reimplemented in osgAnimation::ClearActionVisitor, osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## apply() [2/6]

virtual void osgAnimation::ActionVisitor::apply | ( | ActionAnimation & | action | ) |

virtual

Reimplemented in osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## apply() [3/6]

virtual void osgAnimation::ActionVisitor::apply | ( | ActionBlendIn & | action | ) |

virtual

Reimplemented in osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## apply() [4/6]

virtual void osgAnimation::ActionVisitor::apply | ( | ActionBlendOut & | action | ) |

virtual

Reimplemented in osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## apply() [5/6]

virtual void osgAnimation::ActionVisitor::apply | ( | ActionStripAnimation & | action | ) |

virtual

Reimplemented in osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## apply() [6/6]

virtual void osgAnimation::ActionVisitor::apply | ( | Timeline & | tm | ) |

virtual

Reimplemented in osgAnimation::ClearActionVisitor, osgAnimation::StatsActionVisitor, and osgAnimation::UpdateActionVisitor.

## getCurrentLayer()

int osgAnimation::ActionVisitor::getCurrentLayer | ( |  | ) | const

inline

References _currentLayer.

## getCurrentTimeline()

Timeline * osgAnimation::ActionVisitor::getCurrentTimeline | ( |  | ) |

## getStackedFrameAction()

const std::vector< FrameAction > & osgAnimation::ActionVisitor::getStackedFrameAction | ( |  | ) | const

inline

References _stackFrameAction.

## META_ActionVisitor()

osgAnimation::ActionVisitor::META_ActionVisitor | ( | osgAnimation | ,
|  | ActionVisitor | )

References ActionVisitor().

## popFrameAction()

void osgAnimation::ActionVisitor::popFrameAction | ( |  | ) |

## popTimeline()

void osgAnimation::ActionVisitor::popTimeline | ( |  | ) |

## pushFrameActionOnStack()

void osgAnimation::ActionVisitor::pushFrameActionOnStack | ( | const FrameAction & | fa | ) |

## pushTimelineOnStack()

void osgAnimation::ActionVisitor::pushTimelineOnStack | ( | Timeline * | tm | ) |

## setCurrentLayer()

void osgAnimation::ActionVisitor::setCurrentLayer | ( | int | layer | ) |

inline

References _currentLayer.

## traverse()

void osgAnimation::ActionVisitor::traverse | ( | Action & | visitor | ) |

## Member Data Documentation

## _currentLayer

int osgAnimation::ActionVisitor::_currentLayer

protected

Referenced by getCurrentLayer(), and setCurrentLayer().

## _stackFrameAction

std::vector<FrameAction> osgAnimation::ActionVisitor::_stackFrameAction

protected

Referenced by getStackedFrameAction().

## _stackTimeline

std::vector<Timeline*> osgAnimation::ActionVisitor::_stackTimeline

protected

The documentation for this class was generated from the following file:

- ActionVisitor